Subject: bug#16800: 24.3; flyspell works slow on very short words at the end of big file

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Feb 2014 13:51:41 +0200

> Date: Fri, 28 Feb 2014 12:45:45 +0100
> From: Agustin Martin <[email-masked]>
> 
> Please find attached my first candidate for commit. Is similar to what I
> sent before, but needed to add an explicit check for word at eob in
> `flyspell-word-search-forward'. 
> 
> Will try to have more testing before committing. Seems to work well with the
> file generated by your one-liner, even with corner cases like new
> misspellings added at bob or eob, but the wider the testing the better.
> 
> Hope no one will generate files with words containing something in
> OTHERCHARS.
> 
> Thanks for all your help

Thanks to both of you, but I still think that having flyspell search
without limits for duplicate mis-spellings is not a good idea.  We
have no control on how big user buffers could be.

So I think we should limit that search by default.